curl --request POST \ --url https://api.vidgo.ai/api/generate/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "model": "elevenlabs/tts/turbo-v2.5", "input": { "similarity_boost": 0.75, "style": 0, "apply_text_normalization": "auto", "text": "Almost there. Fold the top corner down until it meets the center crease. Now press along the edge with your fingertip. That's it. Turn the paper over, and we'll make the next fold together.", "voice": "Rachel", "language_code": "en", "speed": 1.05, "stability": 0.5, "timestamps": false }}EOF
curl --request POST \ --url https://api.vidgo.ai/api/generate/submit \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "model": "elevenlabs/tts/turbo-v2.5", "input": { "similarity_boost": 0.75, "style": 0, "apply_text_normalization": "auto", "text": "Almost there. Fold the top corner down until it meets the center crease. Now press along the edge with your fingertip. That's it. Turn the paper over, and we'll make the next fold together.", "voice": "Rachel", "language_code": "en", "speed": 1.05, "stability": 0.5, "timestamps": false }}EOF
每个示例都包含请求、对应的已完成任务响应和生成的音频。将请求提交到 POST https://api.vidgo.ai/api/generate/submit,然后使用提交返回的任务 ID 查询 GET https://api.vidgo.ai/api/generate/status/{task_id}。
一次折一折
{ "model": "elevenlabs/tts/turbo-v2.5", "input": { "similarity_boost": 0.75, "style": 0, "apply_text_normalization": "auto", "text": "Almost there. Fold the top corner down until it meets the center crease. Now press along the edge with your fingertip. That's it. Turn the paper over, and we'll make the next fold together.", "voice": "Rachel", "language_code": "en", "speed": 1.05, "stability": 0.5, "timestamps": false }}
{ "model": "elevenlabs/tts/turbo-v2.5", "input": { "similarity_boost": 0.75, "style": 0, "apply_text_normalization": "auto", "text": "Hoy volví a la casa de mi abuela. En la cocina seguía el reloj de siempre, cinco minutos adelantado. Preparé dos tazas de té por costumbre y, al darme cuenta, sonreí. Algunos gestos también guardan recuerdos.", "voice": "Sarah", "language_code": "es", "speed": 0.98, "stability": 0.45, "timestamps": false, "previous_text": "Hacía años que no cruzaba aquella puerta.", "next_text": "Después abrí las ventanas para dejar entrar la luz." }}